Get a specific Webform

Purpose

To retrieve the details of a specific Webform configured in your Zoho CRM organization.

Endpoints

  • GET /settings/webforms/{webform_ID}

Request Details

Request URL


{api-domain}/crm/{version}/settings/webforms/{webform_ID}

Header

Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52

Scope

ZohoCRM.settings.webforms.ALL
(or)
ZohoCRM.settings.webforms.READ

Parameters
  • module string, mandatory

    To retrieve specific webforms based on their module.

  • include_inner_detailsstring, optional

    To include the inner details of the webform in the response. 
    Possible value: user_type.active

  • fromTImedatetime, optional

    Start time to fetch analytics data for the webform. 
    Format: DD-MM-YYYY HH:MM:SS

  • toTimedatetime, optional

    End time to fetch analytics data for the webform. 
    Format: DD-MM-YYYY HH:MM:SS

Sample Request

Copiedcurl "https://www.zohoapis.com/crm/v8/settings/webforms/4794410000000731004"
-H "Authorization: Zoho-oauthtoken 1000.8cb99dxxxxxxxxxxxxx9be93.9b8xxxxxxxxxxxxxxxf"
-X GET

Response JSON

The webforms JSON array is the root element within which all the related details of the Webform are specified. It consists of these inner keys:

  • google_sitestring

    Represents the Google Sites URL where the webform is hosted, if configured.

  • acknowledge_visitorJSON object

    Represents the configuration to send an acknowledgement email to the visitor after form submission.
    Possible values: splash_message, thank_you_message, redirect_url

     

  • button_attributesJSON Array

    Specifies the properties of the buttons displayed on the webform, such as button name and color.

  • typestring

    Represents the type of the form.
    Possible values: webform, portalform

  • action_on_submitstring

    Represents the action performed after successful form submission.
    Possible values: splash_message, thank_you_message, redirect_url

  • form_fieldsJSON Array

    Represents the list of fields configured in the webform along with visibility, mandatory status, help text, and display properties.

  • action_valuestring

    Represents the value associated with the selected action_on_submit, such as thank-you message content or redirect URL.

  • idstring

    Represents the unique identifier of the webform.

  • ownerJSON object

    Represents the owner of the webform.

  • created_timedatetime

    Represents the date and time when the webform was created.

  • double_optin_detailsJSON object

    Contains email template and confirmation page details for double opt-in configuration. When the double opt-in mechanism for Webforms is enabled, the customers who submit their information will have to confirm their submission before their data is pushed into Zoho CRM.  

  • analytics_dataJSON object

    Represents the analytics and tracking configuration associated with the webform.

  • moduleJSON object

    Represents the API name and ID of the module for which the webform is created.

  • activeBoolean

    Indicates whether the webform is active.
    Possible values: true, false.

  • notify_ownerJSON object

    Represents the configuration to notify the record owner on form submission.

  • created_byJSON object

    Represents the user who created the webform.

  • form_attributesJSON object

    Represents the visual and layout attributes of the webform such as width, font, alignment, and color.

  • location_urlJSON Array

    Represents the URLs where the webform is hosted. Used for access control and spam prevention. A value of * indicates that the Webform accepts submissions from any URL.

  • double_optin_enabledBoolean

    Indicates whether double opt-in is enabled for the webform.

  • tagsJSON Array

    Represents the tags associated with the webform.

  • layoutJSON object

    Represents the layout associated with the webform.

  • approval_requestBoolean

    Indicates whether records created through the webform require approval.

  • create_contactBoolean

    Indicates whether a contact record is created along with the lead.

  • assignment_ruleJSON object

    Represents the assignment rule applied to records created through the webform.

  • namestring

    Represents the name of the webform.

  • visitor_trackingJSON object

    Represents the visitor tracking configuration for the webform.

Sample Response

Copied{
    "webforms": [
        {
            "google_site": null,
            "encrypted_form_id": "ba5949ad7d172b409f4f18908bd88c33e27b1551869c6ee8631e7f1b8c38a0ae1e363d2ae2b9216f84587f6ad1e20948",
            "acknowledge_visitor": null,
            "button_attributes": [
                {
                    "color": "#fff",
                    "name": "Submit"
                },
                {
                    "color": "#fff",
                    "name": "Reset"
                }
            ],
            "type": "webform",
            "action_on_submit": "thank_you_message",
            "form_fields": [
                {
                    "help": null,
                    "field": {
                        "api_name": "Company",
                        "field_label": "Company",
                        "id": "4794410000000000555"
                    },
                    "hidden": false,
                    "date_format": null,
                    "type": "general",
                    "required": true,
                    "field_name": "Company"
                },
                {
                    "help": null,
                    "field": {
                        "api_name": "Last_Name",
                        "field_label": "Last Name",
                        "id": "4794410000000000559"
                    },
                    "hidden": false,
                    "date_format": null,
                    "type": "general",
                    "required": true,
                    "field_name": "Last Name"
                }
            ],
            "encrypted_zgid": "ce8a762909267d972e574ee5c87781e5706ff3c99708be00e65549f4268f63f5",
            "action_value": "<p style='margin-bottom:5px'><span id='successicon' editable='false' data-image='true' style='background:url(https://static.zohocdn.com/crm/CRMClient/images/successalert_a8be6d090fa10db5a38d8f87bf194f7d_.svg) no-repeat 0 0;width:22px;height:22px;display:inline-block;vertical-align:middle'> </span><b>Thank you for submitting your response.</b></p><p>Your response has been submitted successfully. We will reach out to you soon.</p>",
            "id": "4794410000000731004",
            "owner": {
                "name": "Patricia Boyle",
                "id": "4794410000000642001"
            },
            "created_time": "2026-01-03T18:22:48+05:30",
            "double_optin_details": null,
            "analytics_data": {
                "iframe_url_tracking_code": "<script>function wfa_pstMesgFrmFom (evt){if(evt.origin === 'https://crm.zoho.com'){var loc_obj=JSON.stringify({ origin:window.location.origin, pathname:window.location.pathname, search:window.location.search, hash:window.location.hash}); evt.source.postMessage(('prnt_wnd_pg_lc_rc_frm_prwindow_'+loc_obj), evt.origin);}}window.addEventListener('message', wfa_pstMesgFrmFom, false);</script>",
                "analytics_enabled": true,
                "analytics_enabled_time": "2026-01-03T18:22:48+05:30",
                "tracking_code": "<!-- Do not remove this --- Analytics Tracking code starts --><script id='wf_anal' src='https://crm.zoho.com/crm/WebFormAnalyticsServeServlet?rid=a5cb431d8b0de422143c8b75be2332756106fb7f129583680f213d73622c07df757f1c77e40a29206cf762da36fd4639gid62eea95ed29234d19b1bdb9835cfb0b08f0e7115a985d38060398bacc9c2cc21gidb417104d539bb4817fe4b650f03776f91b73a87f0486a9b17ce5d04cf568e87bgid2674eb632ed71f61d7937ac3e43cf220b29b5033e38928efa1d7dc4fd70a3423&tw=457b59c9008b95e7ab1a161ed8cbd3ed68c3902713b20a699acad88b6d662789'></script><!-- Do not remove this --- Analytics Tracking code ends. -->"
            },
            "module": {
                "api_name": "Leads",
                "id": "4794410000000000125"
            },
            "suggestion": null,
            "encrypted_module": "TGVhZHM=",
            "active": true,
            "adword_enabled": false,
            "notify_owner": null,
            "created_by": {
                "name": "Patricia Boyle",
                "id": "4794410000000642001"
            },
            "form_attributes": {
                "color": "white",
                "width": 600,
                "font_attributes": {
                    "size": 12,
                    "color": "black",
                    "family": "Arial"
                },
                "display_form_name": true,
                "align": "left"
            },
            "location_url": [
                "*"
            ],
            "double_optin_enabled": false,
            "tags": [],
            "layout": {
                "display_label": "Standard",
                "name": "Standard",
                "id": "4794410000000095055"
            },
            "approval_request": false,
            "create_contact": false,
            "assignment_rule": null,
            "name": "ww",
            "visitor_tracking": null
        }
    ]
}

Possible Errors

  • INVALID_DATAHTTP 400

    Invalid module or webform ID provided.
    Resolution: Specify valid module and webform ID.

  • REQUIRED_PARAM_MISSINGHTTP 400

    Required parameter is missing.
    Resolution: Specify the mandatory module parameter.

  • INVALID_DATAHTTP 400

    Invalid date range provided.
    Resolution: Provide valid from_time and to_time values.

  • NO_PERMISSIONHTTP 403

    Permission denied.
    Resolution: Ensure the user has permission to access webform settings.